質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.34%

Python chromedriverインストールについて

受付中

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 186

前提・実現したいこと

Seleniumを実行するにあたり、chromedriverをインストールしたいのですが
エラーがでており、インストールができません

selenium pyenv brew python 3.9.1までの環境構築は終わっています。

発生している問題・エラーメッセージ

pip3 install chromedriver-binary 88.0.4324.27.1  
ERROR: Could not find a version that satisfies the requirement 88.0.4324.27.1
ERROR: No matching distribution found for 88.0.4324.27.1
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary 87.0.4280.88
ERROR: Could not find a version that satisfies the requirement 87.0.4280.88
ERROR: No matching distribution found for 87.0.4280.88
testname_suke@testname_uyuunoiMac-Pro python % pip install chromedriver-binary 87.0.4280.88
ERROR: Could not find a version that satisfies the requirement 87.0.4280.88
ERROR: No matching distribution found for 87.0.4280.88
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary 88.0.4324.27
ERROR: Could not find a version that satisfies the requirement 88.0.4324.27
ERROR: No matching distribution found for 88.0.4324.27
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary==88.0.4324.27
Collecting chromedriver-binary==88.0.4324.27
Downloading chromedriver-binary-88.0.4324.27.0.tar.gz (3.6 kB)
Using legacy 'setup.py install' for chromedriver-binary, since package 'wheel' is not installed.
Installing collected packages: chromedriver-binary
Running setup.py install for chromedriver-binary ... error
ERROR: Command errored out with exit status 1:
command: /Library/Frameworks/Python.framework/Versions/3.9/bin/python3.9 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"'; file='"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' install --record /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-record-v7ppz8xu/install-record.txt --single-version-externally-managed --compile --install-headers /Library/Frameworks/Python.framework/Versions/3.9/include/python3.9/chromedriver-binary
cwd: /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/
Complete output (79 lines):
running install
running build
running build_py

Downloading Chromedriver...

Traceback (most recent call last):
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1342, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1010, in _send_output
self.send(msg)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 950, in send
self.connect()
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1424, in connect
self.sock = self._context.wrap_socket(self.sock,
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 500, in wrap_socket
return self.sslsocket_class._create(
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 1040, in _create
self.do_handshake()
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 1309, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1122)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 44, in run
response = urlopen(url)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 214, in urlopen
return opener.open(url, data, timeout)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 517, in open
response = self._open(req, data)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 534, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 494, in _call_chain
result = func(*args)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1385, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1345, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1122)>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 59, in <module>
setup(
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/setuptools/init.py", line 165, in setup
return distutils.core.setup(**attrs)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/core.py", line 148, in setup
dist.run_commands()
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/setuptools/command/install.py", line 61, in run
return orig.install.run(self)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/command/install.py", line 546, in run
self.run_command('build')
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/command/build.py", line 135, in run
self.run_command(cmd_name)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 48, in run
raise RuntimeError('Failed to download chromedriver archive: {}'.format(url))

RuntimeError: Failed to download chromedriver archive: https://chromedriver.storage.googleapis.com/88.0.4324.27/chromedriver_mac64.zip

ERROR: Command errored out with exit status 1: /Library/Frameworks/Python.framework/Versions/3.9/bin/python3.9 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"'; file='"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' install --record /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-record-v7ppz8xu/install-record.txt --single-version-externally-managed --compile --install-headers /Library/Frameworks/Python.framework/Versions/3.9/include/python3.9/chromedriver-binary Check the logs for full command output.
testname_suke@testname_uyuunoiMac-Pro python % 

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

0

再度、下記コマンドでお試しください。

$ pip install chromedriver-binary==88.0.4324.27.1

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/01/14 14:50

    なるほど、そうすると最後に記述してある場所にchromedriverは保存したままにするとして サイトへアクセスするPythonファイルを実行してみたのですが

    現在も
    no such file or directory:'chromedriver'

    が出ます

    以下の状況です

    testname_suke@testname_uyuunoiMac-Pro python % python3 test2.py
    Traceback (most recent call last):
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/selenium/webdriver/common/service.py", line 72, in start
    self.process = subprocess.Popen(cmd, env=self.env,
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
    FileNotFoundError: [Errno 2] No such file or directory: 'chromedriver'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/Users/testname_suke/Desktop/python/test2.py", line 6, in <module>
    driver = webdriver.Chrome()
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/selenium/webdriver/chrome/webdriver.py", line 73, in __init__
    self.service.start()
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/selenium/webdriver/common/service.py", line 81, in start
    raise WebDriverException(
    selenium.common.exceptions.WebDriverException: Message: 'chromedriver' executable needs to be in PATH. Please see https://sites.google.com/a/chromium.org/chromedriver/home

    testname_suke@testname_uyuunoiMac-Pro python %

    他に何が起因してエラーになっていのでしょうか?

    キャンセル

  • 2021/01/14 14:59

    一旦、この質問をクローズしましょう。
    別の質問を立てて、実行したpythonのソースコードと、このエラー内容を、Markdown記法を使って書き記してください。
    よろしくお願いいたします。

    キャンセル

  • 2021/01/14 15:13

    承知しました。ご丁寧にありがとうございました。よろしくお願いします。

    キャンセル

-1

すでに用意されているようなので、以下の回答は間違い。

そのバージョンのchromedriverがまだ用意されていないからです。

chromedriverのバージョンは、あなたが利用しているChromeのバージョンに合わせる必要があります。Chrome 88は現在はStableではない(2020-01-19にStableになる予定な)ので、chromedriverがまだ用意されていないのでしょう。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る